package com.ruoyi.sapAccount.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sapAccount.mapper.SapAccountMapper;
import com.ruoyi.sapAccount.domain.SapAccount;
import com.ruoyi.sapAccount.service.ISapAccountService;

/**
 * 业务账户Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-03-11
 */
@Service
public class SapAccountServiceImpl implements ISapAccountService 
{
    @Autowired
    private SapAccountMapper sapAccountMapper;

    /**
     * 查询业务账户
     * 
     * @param id 业务账户主键
     * @return 业务账户
     */
    @Override
    public SapAccount selectSapAccountById(Long id)
    {
        return sapAccountMapper.selectSapAccountById(id);
    }

    /**
     * 查询业务账户列表
     * 
     * @param sapAccount 业务账户
     * @return 业务账户
     */
    @Override
    public List<SapAccount> selectSapAccountList(SapAccount sapAccount)
    {
        return sapAccountMapper.selectSapAccountList(sapAccount);
    }

    /**
     * 新增业务账户
     * 
     * @param sapAccount 业务账户
     * @return 结果
     */
    @Override
    public int insertSapAccount(SapAccount sapAccount)
    {
        return sapAccountMapper.insertSapAccount(sapAccount);
    }

    /**
     * 修改业务账户
     * 
     * @param sapAccount 业务账户
     * @return 结果
     */
    @Override
    public int updateSapAccount(SapAccount sapAccount)
    {
        return sapAccountMapper.updateSapAccount(sapAccount);
    }

    /**
     * 批量删除业务账户
     * 
     * @param ids 需要删除的业务账户主键
     * @return 结果
     */
    @Override
    public int deleteSapAccountByIds(Long[] ids)
    {
        return sapAccountMapper.deleteSapAccountByIds(ids);
    }

    /**
     * 删除业务账户信息
     * 
     * @param id 业务账户主键
     * @return 结果
     */
    @Override
    public int deleteSapAccountById(Long id)
    {
        return sapAccountMapper.deleteSapAccountById(id);
    }
}
